Template Numerical Library: TNL::Meshes::DistributedMeshes::DistributedMesh< Mesh > Class Template Reference

Template Numerical Library version\ main:16b9213d5

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Meshes::DistributedMeshes::DistributedMesh< Mesh > Class Template Reference
Inheritance diagram for TNL::Meshes::DistributedMeshes::DistributedMesh< Mesh >:
[legend]
Collaboration diagram for TNL::Meshes::DistributedMeshes::DistributedMesh< Mesh >:
[legend]

## Public Types
using | Cell = typename MeshType::template EntityType< getMeshDimension() >
using | Config = typename Mesh::Config
using | DeviceType = typename Mesh::DeviceType
using | Face = typename MeshType::template EntityType< getMeshDimension() - 1 >
using | GlobalIndexArray = typename Mesh::GlobalIndexArray
using | GlobalIndexType = typename Mesh::GlobalIndexType
using | LocalIndexType = typename Mesh::LocalIndexType
using | MeshType = Mesh
using | PointType = typename Mesh::PointType
using | RealType = typename PointType::RealType
using | Vertex = typename MeshType::template EntityType< 0 >
using | VTKTypesArrayType = Containers::Array< std::uint8_t, Devices::Sequential, GlobalIndexType >

## Public Member Functions
| DistributedMesh (const DistributedMesh &)=default
| DistributedMesh (DistributedMesh &&) noexcept=default
| DistributedMesh (MeshType &&localMesh)
const MPI::Comm & | getCommunicator () const
int | getGhostLevels () const
template<int Dimension>
GlobalIndexArray & | getGlobalIndices ()
template<int Dimension>
const GlobalIndexArray & | getGlobalIndices () const
MeshType & | getLocalMesh ()
const MeshType & | getLocalMesh () const
bool | operator!= (const DistributedMesh &other) const
DistributedMesh & | operator= (const DistributedMesh &)=default
template<typename Mesh_>
DistributedMesh & | operator= (const Mesh_ &other)
DistributedMesh & | operator= (DistributedMesh &&) noexcept=default
bool | operator== (const DistributedMesh &other) const
void | printInfo (std::ostream &str) const
template<int Dimension>
void | reorderEntities (const GlobalIndexArray &perm, const GlobalIndexArray &iperm)
void | setCommunicator (const MPI::Comm &communicator)
void | setGhostLevels (int levels)
VTKTypesArrayType & | vtkCellGhostTypes ()
const VTKTypesArrayType & | vtkCellGhostTypes () const
VTKTypesArrayType & | vtkPointGhostTypes ()
const VTKTypesArrayType & | vtkPointGhostTypes () const

## Static Public Member Functions
static constexpr int | getMeshDimension ()

## Protected Attributes
MPI::Comm | communicator = MPI_COMM_NULL
int | ghostLevels = 0
MeshType | localMesh
VTKTypesArrayType | vtkCellGhostTypesArray
VTKTypesArrayType | vtkPointGhostTypesArray

## Additional Inherited Members
Protected Member Functions inherited from TNL::Meshes::DistributedMeshes::GlobalIndexStorageFamily< Mesh, Device, DimensionTag >
| GlobalIndexStorageFamily (const GlobalIndexStorageFamily &)=default
| GlobalIndexStorageFamily (GlobalIndexStorageFamily &&) noexcept=default
GlobalIndexStorageFamily & | operator= (const GlobalIndexStorageFamily &)=default
template<typename Mesh_>
GlobalIndexStorageFamily & | operator= (const Mesh_ &mesh)
GlobalIndexStorageFamily & | operator= (GlobalIndexStorageFamily &&) noexcept=default
bool | operator== (const GlobalIndexStorageFamily &other) const

## Member Function Documentation

## ◆ getMeshDimension()

template<typename Mesh>

constexpr int TNL::Meshes::DistributedMeshes::DistributedMesh< Mesh >::getMeshDimension | ( |  | ) |
| inlinestaticnodiscardconstexpr

Common methods redirected to the local mesh

## ◆ setCommunicator()

template<typename Mesh>

void TNL::Meshes::DistributedMeshes::DistributedMesh< Mesh >::setCommunicator | ( | const MPI::Comm & | communicator | ) |
| inline

Methods specific to the distributed mesh

The documentation for this class was generated from the following file:

- src/TNL/Meshes/DistributedMeshes/DistributedMesh.h